#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 skylighting-core
version:              0.10.5.1
visibility:           public
id:                   skylighting-core-0.10.5.1-CU2YwKsD2iI5xlGLNrT2PK
key:                  skylighting-core-0.10.5.1-CU2YwKsD2iI5xlGLNrT2PK
license:              BSD-3-Clause
copyright:            (C) 2016-2018 John MacFarlane
maintainer:           jgm@berkeley.edu
author:               John MacFarlane
homepage:             https://github.com/jgm/skylighting
synopsis:             syntax highlighting library
description:
    Skylighting is a syntax highlighting library.
    It derives its tokenizers from XML syntax
    definitions used by KDE'\''s KSyntaxHighlighting
    framework, so any syntax supported by that
    framework can be added. An optional command-line
    program is provided.
    Skylighting is intended to be the successor to
    highlighting-kate.
    This package provides the core highlighting
    functionality under a permissive license. It also
    bundles XML parser definitions licensed under the
    GPL.

category:             Text
abi:                  63299a96627cccd68974725d9da84321
exposed:              True
exposed-modules:
    Skylighting.Core Skylighting.Format.ANSI Skylighting.Format.HTML
    Skylighting.Format.LaTeX Skylighting.Loader Skylighting.Parser
    Skylighting.Regex Skylighting.Styles Skylighting.Tokenizer
    Skylighting.Types

hidden-modules:
    Regex.KDE Regex.KDE.Regex Regex.KDE.Compile Regex.KDE.Match

import-dirs:          /usr/lib/ghc-8.10.5/site-local/skylighting-core-0.10.5.1
library-dirs:         /usr/lib/ghc-8.10.5/site-local/skylighting-core-0.10.5.1
dynamic-library-dirs: /usr/lib
data-dir:
    /usr/share/x86_64-linux-ghc-8.10.5/skylighting-core-0.10.5.1

hs-libraries:         HSskylighting-core-0.10.5.1-CU2YwKsD2iI5xlGLNrT2PK
depends:
    aeson-1.5.6.0-6uunGgFAYkLL5zoDUTK2GY
    ansi-terminal-0.11-KZlfwqvn41oLlRmR1M9CEn
    attoparsec-0.14.1-qO4BENHL0SHN8QdgrNcG6 base-4.14.2.0
    base64-bytestring-1.2.0.1-6PvrigrzgN5CFxMJsxx0QP binary-0.8.8.0
    blaze-html-0.9.1.2-7YURpfDATS7FKWEku5NEG5 bytestring-0.10.12.0
    case-insensitive-1.2.1.0-JPdBXBeCcNF9RB4NR2tt4M
    colour-2.3.5-6IgISjVABr17DDXvEVpmLi containers-0.6.4.1
    directory-1.3.6.0 filepath-1.4.2.1 mtl-2.2.2
    safe-0.3.19-DlKvqLTtraZKItu5PR3KBM text-1.2.4.1
    transformers-0.5.6.2 utf8-string-1.0.2-DMovLmOdbFr3ZT2kNNb9Du
    xml-conduit-1.9.1.1-IpoB64Y6FcV4ZJQQksKziX

haddock-interfaces:
    /usr/share/doc/haskell-skylighting-core/html/skylighting-core.haddock

haddock-html:         /usr/share/doc/haskell-skylighting-core/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

